<template>
  <div>
    <div class="d-flex justify-content-between align-items-center py-2">
      <h1>Surveys</h1>
      <input placeholder="Search..." class="form-control" @input="search" v-model="searchQuery" />
      <div>
        <router-link class="btn btn-primary" to="/surveys/builder">Create</router-link>
      </div>
    </div>
    <ul class="list-group">
      <li v-for="el in surveys" :key="el._id" class="list-group-item d-flex">
        <router-link :to="'/surveys/run/'+el._id" class="mr-auto">{{el.name}}</router-link>
        <router-link :to="'/surveys/builder/edit/'+el._id" class="text-muted">Edit</router-link>
        <span class="text-muted mx-2">|</span>
        <router-link :to="'/survey-results?survey='+el._id" class="text-muted">Results</router-link>
      </li>
    </ul>
  </div>
</template>

<script>
import api from "../services/api.service";

export default {
  data() {
    return {
      searchQuery: "",
      surveys: []
    };
  },
  methods: {
    search() {
      api
        .get(`/surveys?find=${this.searchQuery}`)
        .then(surveys => (this.surveys = surveys.data.reverse()));
    }
  },
  async mounted() {
    const surveys = await api.get("/surveys");
    this.surveys = surveys.data.reverse();
  }
};
</script>

<style scoped>
h1 {
  margin-bottom: 0px !important;
}
input {
  max-width: 40rem;
  margin: 0rem 0.5rem;
}
</style>